import java.net.URL;
import java.util.Locale;
import java.util.ResourceBundle;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.stage.Stage;

public class FXMLApp extends Application {
	public static void main(String[] args) {
		Application.launch(args);
	}

	private static FXMLApp instance;

	public static FXMLApp getInstance() {
		return instance;
	}

	private Model model = new Model();
	private Stage stage;

	public Model getModel() {
		return model;
	}

	public Stage getStage() {
		return stage;
	}

	public FXMLApp() {
		instance = this;
	}

	@Override
	public void start(Stage primaryStage) throws Exception {
		stage = primaryStage;
		primaryStage.setTitle("FXML Test");

		URL mainFxml = getClass().getResource("Main.fxml");

		ResourceBundle resources = ResourceBundle.getBundle("resources",
				new Locale("DE", "at"));

		final Scene scene = FXMLLoader.load(mainFxml, resources);

		primaryStage.setScene(scene);
		primaryStage.show();
	}
}
